Subject: Re: [PATCH 2/2] mergetool-lib: add a three-way diff view for vim/gvim

From: David Aguilar <[email-masked]>
Date: Sat, 18 Sep 2010 00:34:30 -0700

On Tue, Sep 14, 2010 at 09:21:43PM -0500, Dan McGee wrote:
> When the base version is available, use a three-way, four panel view by
> default. This shows the (local, base, remote) revisions up top and the
> merged result by itself in the lower pane. All revisions will still scroll
> together by default, and the cursor still defaults to the merged result edit
> pane.
> 
> Signed-off-by: Dan McGee <[email-masked]>
> ---
> 
> Vim was one of the few diff commands to not support a three-way merge showing
> the base revision, so this is a stab at resolving that shortfall. The biggest
> objection I can see to this is making the interface a bit more cumbersome and
> bloated.
> 
> An example screenshot of what this produces:
> http://www.toofishes.net/media/extra/vim_three_way.png
> 
> -Dan

Patch 1/2 of this series looks good to me.

Is it worth keeping the old behavior and calling this new
mode "vimdiff3" or something along those lines?

I'm not a vimdiff user so I'm not be the best person to
judge the merits of this change.  I like what it's trying
to accomplish, though.  Are there any vimdiff users
with strong feelings either way?

-- 

		David